@import '../variables';

.web-input .input, .web-input.input {
  input {
    -webkit-text-fill-color: inherit !important;
  }
}

.web-input.field.error {
  input {
    $lightRed: #ff5959;

    border-bottom-color: $lightRed !important;
    color: $lightRed;
  }
}

//Chrome autofill bug fix
.web-input {
  input,
  input:-webkit-autofill,
  input:-webkit-autofill:hover,
  input:-webkit-autofill:focus,
  textarea:-webkit-autofill,
  textarea:-webkit-autofill:hover,
  textarea:-webkit-autofill:focus,
  select:-webkit-autofill,
  select:-webkit-autofill:hover,
  select:-webkit-autofill:focus {
    border: none !important;
    border-bottom: 1px solid $blue !important;
    -webkit-text-fill-color: white !important;
    -webkit-box-shadow: 0 0 0 1000px transparent inset !important;
    transition: background-color 5000s ease-in-out 0s !important;
  }
}


.web-input-1 {
  input {
    border: none !important;
    border-bottom: 1px solid white !important;
    border-radius: 0 !important;
    background: transparent;
    color: white;

    &:focus {
      border-color: $blue !important;
    }
  }
}

.web-input-2 {
  input {
    border-radius: 0 !important;
    background: transparent;
    color: white;
    border: 1px solid $lightPurple !important;

    &:focus {
      border-color: white !important;
    }
  }
}
